---
title: "Get license line of authorities (LOAs) for subscribed NPNs"
url: "https://developer.agentsync.io/apis/producer-sync-api/versions/d3ec6c11-3e1f-48e4-a7c4-4b34c3490948/operations/getLicenseLoas"
---

> Full API specification: https://developer.agentsync.io/apis/producer-sync-api/versions/d3ec6c11-3e1f-48e4-a7c4-4b34c3490948.md

# Get license line of authorities (LOAs) for subscribed NPNs

`GET` `/v2/licenseLoas`

Operation ID: `getLicenseLoas`

Returns all license LOA records for NPNs you are **currently subscribed** to

## Query parameters

- `licenseIds` (string, optional) - comma separated list of license IDs
- `size` (integer, int64, optional) - the number of objects on the page (min = 1 / max = 1,000)

## Responses

- `200` - Success
- `400` - Bad Request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Not Found
- `405` - Method Not Allowed
- `429` - Too Many Requests
- `500` - Internal Server Error
- `504` - Gateway Timeout

## OpenAPI definition

```yaml
openapi: 3.1.1
info:
  title: ProducerSync API
  version: v2.68.29
servers:
  - url: https://api.sandbox.agentsync.io
    description: Sandbox
paths:
  /v2/licenseLoas:
    get:
      tags:
        - Producer Licenses and LOAs
      operationId: getLicenseLoas
      summary: Get license line of authorities (LOAs) for subscribed NPNs
      description: >
        Returns all license LOA records for NPNs you are **currently
        subscribed** to
      parameters:
        - $ref: "#/components/parameters/licenseIdsParam"
        - $ref: "#/components/parameters/sizeParam"
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  embedded:
                    $ref: "#/components/schemas/LicenseLoaV2"
          headers:
            ratelimit-limit:
              $ref: "#/components/headers/ratelimit-limit"
            ratelimit-remaining:
              $ref: "#/components/headers/ratelimit-remaining"
            ratelimit-reset:
              $ref: "#/components/headers/ratelimit-reset"
        "400":
          $ref: "#/components/responses/400BadRequest"
        "401":
          $ref: "#/components/responses/401Unauthorized"
        "403":
          $ref: "#/components/responses/403Forbidden"
        "404":
          $ref: "#/components/responses/404NotFound"
        "405":
          $ref: "#/components/responses/405MethodNotAllowed"
        "429":
          $ref: "#/components/responses/429TooManyRequests"
        "500":
          $ref: "#/components/responses/500InternalServerError"
        "504":
          $ref: "#/components/responses/504GatewayTimeout"
components:
  parameters:
    licenseIdsParam:
      name: licenseIds
      in: query
      description: comma separated list of license IDs
      required: false
      schema:
        type: string
        example: 10000,1000033,21733
    sizeParam:
      name: size
      in: query
      description: the number of objects on the page (min = 1 / max = 1,000)
      required: false
      schema:
        type: integer
        format: int64
        default: 250
        minimum: 1
        maximum: 1000
  schemas:
    LicenseLoaV2:
      type: object
      description: Container for a list of license records in version 2
      properties:
        licenseLoas:
          type: array
          description: A list of license objects
          items:
            allOf:
              - type: object
  headers:
    ratelimit-limit:
      description: Maximum number of requests allowed in the current window
      schema:
        type: integer
    ratelimit-remaining:
      description: Number of requests remaining in the current window
      schema:
        type: integer
    ratelimit-reset:
      description: Time when the rate limit will reset
      schema:
        type: integer
  responses:
    400BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              timestamp:
                type: integer
                example: 1742929112
              status:
                type: integer
                example: 400
              error:
                type: string
                example: Bad Request
              message:
                type: string
                example: Invalid parameter values provided - {parameter}:[{invalid values}]
              path:
                type: string
                example: "{endpoint_path}"
    401Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthorized
    403Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            type: object
            properties:
              timestamp:
                type: integer
                example: 1742935636
              status:
                type: integer
                example: 403
              path:
                type: string
                example: "{requested endpoint}"
              error:
                type: string
                example: Forbidden
    404NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            type: object
            properties:
              timestamp:
                type: integer
                example: 1742929112
              status:
                type: integer
                example: 404
              error:
                type: string
                example: Not Found
              message:
                type: string
                example: Error message describing what was not found
              path:
                type: string
                example: "{requested endpoint}"
    405MethodNotAllowed:
      description: Method Not Allowed
      content:
        application/json:
          schema:
            type: object
            properties:
              type:
                type: string
                example: about:blank
              status:
                type: integer
                example: 405
              detail:
                type: string
                example: Method 'PUT' is not supported.
              instance:
                type: string
                example: "{requested endpoint}"
    429TooManyRequests:
      description: Too Many Requests
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: API rate limit exceeded
    500InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            properties:
              timestamp:
                type: integer
                example: 1613510729601
              status:
                type: integer
                example: 500
              error:
                type: string
                example: Internal Server Error
              message:
                type: string
                example: Error message describing why this was a server error.
              path:
                type: string
                example: "{requested endpoint}"
    504GatewayTimeout:
      description: Gateway Timeout
```
